[Fedora-directory-commits] coolkey configure.in, 1.9, 1.10 configure, 1.7, 1.8 config.status, 1.6, 1.7

Robert Relyea (rrelyea) fedora-directory-commits at redhat.com
Fri Feb 9 18:47:45 UTC 2007


Author: rrelyea

Update of /cvs/dirsec/coolkey
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv22218

Modified Files:
	configure.in configure config.status 
Log Message:


Move optional enable-pk11install line so linux compiles correctly.



Index: configure.in
===================================================================
RCS file: /cvs/dirsec/coolkey/configure.in,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- configure.in	6 Feb 2007 19:47:30 -0000	1.9
+++ configure.in	9 Feb 2007 18:47:42 -0000	1.10
@@ -85,20 +85,6 @@
 	;;
 esac
 
-# Add argument for pk11install
-AC_ARG_ENABLE(pk11install, 
-  [  --enable-pk11install          build an installer for legacy user apps(default=no)])
-if test "$enable_pk11install" = "yes" -o "$enable_pk11install" = "true"
-then
-if test $WINDOWS -ne 1; then
-  PKG_CHECK_MODULES(NSS, nss, true, [ AC_MSG_ERROR(could not find NSS Crypto libraries) ])
-fi
-  enable_pk11install = "yes"
-else
-  enable_pk11install = "no"
-  AC_MSG_WARN([skipping pk11install])
-fi
-
 
 # Checks for programs.
 AC_PROG_CC
@@ -132,6 +118,21 @@
         fi
       ])
 fi
+
+# Add argument for pk11install
+AC_ARG_ENABLE(pk11install, 
+  [  --enable-pk11install          build an installer for legacy user apps(default=no)])
+if test "$enable_pk11install" = "yes" -o "$enable_pk11install" = "true"
+then
+if test $WINDOWS -ne 1; then
+  PKG_CHECK_MODULES(NSS, nss, true, [ AC_MSG_ERROR(could not find NSS Crypto libraries) ])
+fi
+  enable_pk11install = "yes"
+else
+  enable_pk11install = "no"
+  AC_MSG_WARN([skipping pk11install])
+fi
+
 AC_SUBST(NSS_CFLAGS)
 AC_SUBST(ZLIB_CFLAGS)
 AC_SUBST(ZLIB_LIBS)


Index: configure
===================================================================
RCS file: /cvs/dirsec/coolkey/configure,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- configure	30 Nov 2006 22:35:22 -0000	1.7
+++ configure	9 Feb 2007 18:47:42 -0000	1.8
@@ -463,7 +463,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT PKG_CONFIG ac_pt_PKG_CONFIG NSS_CFLAGS NSS_LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__f!
 astdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBCKYAPPLET PCSC_CFLAGS PCSC_LIBS ZLIB_CFLAGS ZLIB_LIBS SCARD_LIB_NAME HAVE_PCSC_TRUE HAVE_PCSC_FALSE BUILD_PK11INSTALL_TRUE BUILD_PK11INSTALL_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S E!
 CHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LIBCKYAPPLET PKG_CONFIG ac_pt_PKG_CONFIG PCSC_CFLAGS PCSC_LIBS NSS_CFLAGS NSS_LIBS ZLIB_CFLAGS ZLIB_LIBS SCARD_LIB_NAME HAVE_PCSC_TRUE HAVE_PCSC_FALSE BUILD_PK11INSTALL_TRUE BUILD_PK11INSTALL_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -904,18 +904,6 @@
 ac_env_target_alias_value=$target_alias
 ac_cv_env_target_alias_set=${target_alias+set}
 ac_cv_env_target_alias_value=$target_alias
-ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
-ac_env_PKG_CONFIG_value=$PKG_CONFIG
-ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
-ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
-ac_env_NSS_CFLAGS_set=${NSS_CFLAGS+set}
-ac_env_NSS_CFLAGS_value=$NSS_CFLAGS
-ac_cv_env_NSS_CFLAGS_set=${NSS_CFLAGS+set}
-ac_cv_env_NSS_CFLAGS_value=$NSS_CFLAGS
-ac_env_NSS_LIBS_set=${NSS_LIBS+set}
-ac_env_NSS_LIBS_value=$NSS_LIBS
-ac_cv_env_NSS_LIBS_set=${NSS_LIBS+set}
-ac_cv_env_NSS_LIBS_value=$NSS_LIBS
 ac_env_CC_set=${CC+set}
 ac_env_CC_value=$CC
 ac_cv_env_CC_set=${CC+set}
@@ -956,6 +944,10 @@
 ac_env_FFLAGS_value=$FFLAGS
 ac_cv_env_FFLAGS_set=${FFLAGS+set}
 ac_cv_env_FFLAGS_value=$FFLAGS
+ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
+ac_env_PKG_CONFIG_value=$PKG_CONFIG
+ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
+ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
 ac_env_PCSC_CFLAGS_set=${PCSC_CFLAGS+set}
 ac_env_PCSC_CFLAGS_value=$PCSC_CFLAGS
 ac_cv_env_PCSC_CFLAGS_set=${PCSC_CFLAGS+set}
@@ -964,6 +956,14 @@
 ac_env_PCSC_LIBS_value=$PCSC_LIBS
 ac_cv_env_PCSC_LIBS_set=${PCSC_LIBS+set}
 ac_cv_env_PCSC_LIBS_value=$PCSC_LIBS
+ac_env_NSS_CFLAGS_set=${NSS_CFLAGS+set}
+ac_env_NSS_CFLAGS_value=$NSS_CFLAGS
+ac_cv_env_NSS_CFLAGS_set=${NSS_CFLAGS+set}
+ac_cv_env_NSS_CFLAGS_value=$NSS_CFLAGS
+ac_env_NSS_LIBS_set=${NSS_LIBS+set}
+ac_env_NSS_LIBS_value=$NSS_LIBS
+ac_cv_env_NSS_LIBS_set=${NSS_LIBS+set}
+ac_cv_env_NSS_LIBS_value=$NSS_LIBS
 
 #
 # Report the --help message.
@@ -1049,7 +1049,6 @@
   --enable-maintainer-mode  enable make rules and dependencies not useful
 			  (and sometimes confusing) to the casual installer
   --enable-debug          add debugging code (default=yes)
-  --enable-pk11install          build an installer for legacy user apps(default=no)
   --disable-dependency-tracking  speeds up one-time build
   --enable-dependency-tracking   do not reject slow dependency extractors
   --enable-shared[=PKGS]
@@ -1059,6 +1058,7 @@
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
+  --enable-pk11install          build an installer for legacy user apps(default=no)
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -1071,9 +1071,6 @@
   --with-pcsclite         Use pcsc-lite (default=yes)
 
 Some influential environment variables:
-  PKG_CONFIG  path to pkg-config utility
-  NSS_CFLAGS  C compiler flags for NSS, overriding pkg-config
-  NSS_LIBS    linker flags for NSS, overriding pkg-config
   CC          C compiler command
   CFLAGS      C compiler flags
   LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
@@ -1086,8 +1083,11 @@
   CXXCPP      C++ preprocessor
   F77         Fortran 77 compiler command
   FFLAGS      Fortran 77 compiler flags
+  PKG_CONFIG  path to pkg-config utility
   PCSC_CFLAGS C compiler flags for PCSC, overriding pkg-config
   PCSC_LIBS   linker flags for PCSC, overriding pkg-config
+  NSS_CFLAGS  C compiler flags for NSS, overriding pkg-config
+  NSS_LIBS    linker flags for NSS, overriding pkg-config
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -2118,8 +2118,8 @@
   	echo "$as_me:$LINENO: result: Windows" >&5
 echo "${ECHO_T}Windows" >&6
 	WINDOWS=1
-	ZLIB_CFLAGS=-Ic:/zlib
-	ZLIB_LIBS=c:/zlib/zlib.dll
+	#ZLIB_CFLAGS=-Ic:/zlib
+	#ZLIB_LIBS=c:/zlib/zlib.dll
 	#OS_FLAGS=`echo $INCLUDE | tr '[[:upper:]]' '[[:lower:]]' | sed -e 's;\\\\;/;g' -e 's;.:;/cygdrive/&/;g' -e 's;:;;g' -e 's;//;/;g' -e 's/;/\" -I\"/g' -e 's;^;-I\";' -e 's;$;\";'`
 	CPPFLAGS="$CPPFLAGS $OS_FLAGS -DWIN32"
 	LDFLAGS="$LDFLAGS"
@@ -2137,8 +2137,11 @@
 	MAC=1
 	SCARD_LIB_NAME="PCSC.Framework/PCSC"
 	PCSC_MSG=yes
-	PCSC_CFLAGS=""
+	PCSC_CFLAGS="-I/System/Library/Frameworks/PCSC.framework/Versions/Current/Headers"
 	PCSC_LIBS="-Wl,-framework,PCSC"
+	CFLAGS="-DMAC  -I/System/Library/Frameworks/Security.framework/Versions/Current/Headers -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386"
+	LDFLAGS="-L/System/Library/Frameworks/Security.framework/Versions/Current/Security -arch ppc -arch i386"
+	CXXFLAGS="-DMAC  -I/System/Library/Frameworks/Security.framework/Versions/Current/Headers -isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386"
 	;;
 *)
   	echo "$as_me:$LINENO: result: UNIX/LINUX" >&5
@@ -2149,201 +2152,6 @@
 	;;
 esac
 
-# Add argument for pk11install
-# Check whether --enable-pk11install or --disable-pk11install was given.
-if test "${enable_pk11install+set}" = set; then
-  enableval="$enable_pk11install"
-
-fi;
-if test "$enable_pk11install" = "yes" -o "$enable_pk11install" = "true"
-then
-if test $WINDOWS -ne 1; then
-
-
-if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
-	if test -n "$ac_tool_prefix"; then
-  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
-set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $PKG_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-  ;;
-esac
-fi
-PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-
-if test -n "$PKG_CONFIG"; then
-  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
-echo "${ECHO_T}$PKG_CONFIG" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-fi
-if test -z "$ac_cv_path_PKG_CONFIG"; then
-  ac_pt_PKG_CONFIG=$PKG_CONFIG
-  # Extract the first word of "pkg-config", so it can be a program name with args.
-set dummy pkg-config; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $ac_pt_PKG_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-  ;;
-esac
-fi
-ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
-
-if test -n "$ac_pt_PKG_CONFIG"; then
-  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
-echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-  PKG_CONFIG=$ac_pt_PKG_CONFIG
-else
-  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
-fi
-
-fi
-if test -n "$PKG_CONFIG"; then
-	_pkg_min_version=0.9.0
-	echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
-echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
-	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-		echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-	else
-		echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-		PKG_CONFIG=""
-	fi
-
-fi
-
-pkg_failed=no
-echo "$as_me:$LINENO: checking for NSS" >&5
-echo $ECHO_N "checking for NSS... $ECHO_C" >&6
-
-if test -n "$PKG_CONFIG"; then
-    if test -n "$NSS_CFLAGS"; then
-        pkg_cv_NSS_CFLAGS="$NSS_CFLAGS"
-    else
-        if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
-  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_NSS_CFLAGS=`$PKG_CONFIG --cflags "nss" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
-    fi
-else
-	pkg_failed=untried
-fi
-if test -n "$PKG_CONFIG"; then
-    if test -n "$NSS_LIBS"; then
-        pkg_cv_NSS_LIBS="$NSS_LIBS"
-    else
-        if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
-  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; then
-  pkg_cv_NSS_LIBS=`$PKG_CONFIG --libs "nss" 2>/dev/null`
-else
-  pkg_failed=yes
-fi
-    fi
-else
-	pkg_failed=untried
-fi
-
-
-
-if test $pkg_failed = yes; then
-
-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
-        _pkg_short_errors_supported=yes
-else
-        _pkg_short_errors_supported=no
-fi
-        if test $_pkg_short_errors_supported = yes; then
-	        NSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "nss"`
-        else
-	        NSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "nss"`
-        fi
-	# Put the nasty error message in config.log where it belongs
-	echo "$NSS_PKG_ERRORS" >&5
-
-	 { { echo "$as_me:$LINENO: error: could not find NSS Crypto libraries" >&5
-echo "$as_me: error: could not find NSS Crypto libraries" >&2;}
-   { (exit 1); exit 1; }; }
-elif test $pkg_failed = untried; then
-	 { { echo "$as_me:$LINENO: error: could not find NSS Crypto libraries" >&5
-echo "$as_me: error: could not find NSS Crypto libraries" >&2;}
-   { (exit 1); exit 1; }; }
-else
-	NSS_CFLAGS=$pkg_cv_NSS_CFLAGS
-	NSS_LIBS=$pkg_cv_NSS_LIBS
-        echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-	true
-fi
-fi
-  enable_pk11install = "yes"
-else
-  enable_pk11install = "no"
-  { echo "$as_me:$LINENO: WARNING: skipping pk11install" >&5
-echo "$as_me: WARNING: skipping pk11install" >&2;}
-fi
-
 
 # Checks for programs.
 ac_ext=c
@@ -4480,7 +4288,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4483 "configure"' > conftest.$ac_ext
+  echo '#line 4291 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5615,7 +5423,7 @@
 
 
 # Provide some information about the compiler.
-echo "$as_me:5618:" \
+echo "$as_me:5426:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6678,11 +6486,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6681: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6489: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6685: \$? = $ac_status" >&5
+   echo "$as_me:6493: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6946,11 +6754,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6949: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6757: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6953: \$? = $ac_status" >&5
+   echo "$as_me:6761: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7050,11 +6858,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7053: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6861: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7057: \$? = $ac_status" >&5
+   echo "$as_me:6865: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8519,7 +8327,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 8522 "configure"' > conftest.$ac_ext
+    echo '#line 8330 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -9416,7 +9224,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9419 "configure"
+#line 9227 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9516,7 +9324,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9519 "configure"
+#line 9327 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10741,10 +10549,7 @@
 	echo EXPORTS > $output_objdir/$soname.def;
 	cat $export_symbols >> $output_objdir/$soname.def;
       fi~
-      #
-      # Hack... gcc and lc are quite different, we can use either for cygwin
-      # try to get a line that both are happy with...
-      #
+
       $CC -LD -shared -nostdlib $output_objdir/$soname.def $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker '
     else
       ld_shlibs_CXX=no
@@ -11860,11 +11665,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11863: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11668: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11867: \$? = $ac_status" >&5
+   echo "$as_me:11672: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11964,11 +11769,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11967: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11772: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11971: \$? = $ac_status" >&5
+   echo "$as_me:11776: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12500,7 +12305,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 12503 "configure"' > conftest.$ac_ext
+    echo '#line 12308 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -13555,11 +13360,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13558: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13363: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13562: \$? = $ac_status" >&5
+   echo "$as_me:13367: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13659,11 +13464,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13662: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13467: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13666: \$? = $ac_status" >&5
+   echo "$as_me:13471: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15108,7 +14913,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 15111 "configure"' > conftest.$ac_ext
+    echo '#line 14916 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -15883,11 +15688,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15886: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15691: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15890: \$? = $ac_status" >&5
+   echo "$as_me:15695: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16151,11 +15956,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16154: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15959: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16158: \$? = $ac_status" >&5
+   echo "$as_me:15963: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16255,11 +16060,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16258: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16063: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16262: \$? = $ac_status" >&5
+   echo "$as_me:16067: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17724,7 +17529,7 @@
   libsuff=
   case "$host_cpu" in
   x86_64*|s390x*|powerpc64*)
-    echo '#line 17727 "configure"' > conftest.$ac_ext
+    echo '#line 17532 "configure"' > conftest.$ac_ext
     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -19209,6 +19014,111 @@
   with_pcsclite=no
 else
 
+
+if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
+	if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
+set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+PKG_CONFIG=$ac_cv_path_PKG_CONFIG
+
+if test -n "$PKG_CONFIG"; then
+  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+echo "${ECHO_T}$PKG_CONFIG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+fi
+if test -z "$ac_cv_path_PKG_CONFIG"; then
+  ac_pt_PKG_CONFIG=$PKG_CONFIG
+  # Extract the first word of "pkg-config", so it can be a program name with args.
+set dummy pkg-config; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  case $ac_pt_PKG_CONFIG in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+
+  ;;
+esac
+fi
+ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
+
+if test -n "$ac_pt_PKG_CONFIG"; then
+  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
+echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
+else
+  echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+  PKG_CONFIG=$ac_pt_PKG_CONFIG
+else
+  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
+fi
+
+fi
+if test -n "$PKG_CONFIG"; then
+	_pkg_min_version=0.9.0
+	echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
+echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
+	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
+		echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+	else
+		echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+		PKG_CONFIG=""
+	fi
+
+fi
+
 pkg_failed=no
 echo "$as_me:$LINENO: checking for PCSC" >&5
 echo $ECHO_N "checking for PCSC... $ECHO_C" >&6
@@ -19297,6 +19207,97 @@
 fi
 fi
 
+# Add argument for pk11install
+# Check whether --enable-pk11install or --disable-pk11install was given.
+if test "${enable_pk11install+set}" = set; then
+  enableval="$enable_pk11install"
+
+fi;
+if test "$enable_pk11install" = "yes" -o "$enable_pk11install" = "true"
+then
+if test $WINDOWS -ne 1; then
+
+pkg_failed=no
+echo "$as_me:$LINENO: checking for NSS" >&5
+echo $ECHO_N "checking for NSS... $ECHO_C" >&6
+
+if test -n "$PKG_CONFIG"; then
+    if test -n "$NSS_CFLAGS"; then
+        pkg_cv_NSS_CFLAGS="$NSS_CFLAGS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
+  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_NSS_CFLAGS=`$PKG_CONFIG --cflags "nss" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+    if test -n "$NSS_LIBS"; then
+        pkg_cv_NSS_LIBS="$NSS_LIBS"
+    else
+        if test -n "$PKG_CONFIG" && \
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"nss\"") >&5
+  ($PKG_CONFIG --exists --print-errors "nss") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; then
+  pkg_cv_NSS_LIBS=`$PKG_CONFIG --libs "nss" 2>/dev/null`
+else
+  pkg_failed=yes
+fi
+    fi
+else
+	pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+        _pkg_short_errors_supported=yes
+else
+        _pkg_short_errors_supported=no
+fi
+        if test $_pkg_short_errors_supported = yes; then
+	        NSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "nss"`
+        else
+	        NSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "nss"`
+        fi
+	# Put the nasty error message in config.log where it belongs
+	echo "$NSS_PKG_ERRORS" >&5
+
+	 { { echo "$as_me:$LINENO: error: could not find NSS Crypto libraries" >&5
+echo "$as_me: error: could not find NSS Crypto libraries" >&2;}
+   { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+	 { { echo "$as_me:$LINENO: error: could not find NSS Crypto libraries" >&5
+echo "$as_me: error: could not find NSS Crypto libraries" >&2;}
+   { (exit 1); exit 1; }; }
+else
+	NSS_CFLAGS=$pkg_cv_NSS_CFLAGS
+	NSS_LIBS=$pkg_cv_NSS_LIBS
+        echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+	true
+fi
+fi
+  enable_pk11install = "yes"
+else
+  enable_pk11install = "no"
+  { echo "$as_me:$LINENO: WARNING: skipping pk11install" >&5
+echo "$as_me: WARNING: skipping pk11install" >&2;}
+fi
+
+
 
 
 
@@ -21598,10 +21599,6 @@
 s, at MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
 s, at MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
 s, at MAINT@,$MAINT,;t t
-s, at PKG_CONFIG@,$PKG_CONFIG,;t t
-s, at ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
-s, at NSS_CFLAGS@,$NSS_CFLAGS,;t t
-s, at NSS_LIBS@,$NSS_LIBS,;t t
 s, at CC@,$CC,;t t
 s, at CFLAGS@,$CFLAGS,;t t
 s, at LDFLAGS@,$LDFLAGS,;t t
@@ -21638,8 +21635,12 @@
 s, at ac_ct_F77@,$ac_ct_F77,;t t
 s, at LIBTOOL@,$LIBTOOL,;t t
 s, at LIBCKYAPPLET@,$LIBCKYAPPLET,;t t
+s, at PKG_CONFIG@,$PKG_CONFIG,;t t
+s, at ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
 s, at PCSC_CFLAGS@,$PCSC_CFLAGS,;t t
 s, at PCSC_LIBS@,$PCSC_LIBS,;t t
+s, at NSS_CFLAGS@,$NSS_CFLAGS,;t t
+s, at NSS_LIBS@,$NSS_LIBS,;t t
 s, at ZLIB_CFLAGS@,$ZLIB_CFLAGS,;t t
 s, at ZLIB_LIBS@,$ZLIB_LIBS,;t t
 s, at SCARD_LIB_NAME@,$SCARD_LIB_NAME,;t t


Index: config.status
===================================================================
RCS file: /cvs/dirsec/coolkey/config.status,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- config.status	13 Oct 2006 01:16:20 -0000	1.6
+++ config.status	9 Feb 2007 18:47:42 -0000	1.7
@@ -304,7 +304,7 @@
 ac_cs_version="\
 coolkey config.status "1.1.0"
 configured by configure, generated by GNU Autoconf 2.59,
-  with options \"\"
+  with options \"'--enable-pk11install'\"
 
 Copyright (C) 2003 Free Software Foundation, Inc.
 This config.status script is free software; the Free Software Foundation
@@ -383,8 +383,8 @@
 fi
 
 if $ac_cs_recheck; then
-  echo "running /bin/sh configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
-  exec /bin/sh configure  $ac_configure_extra_args --no-create --no-recursion
+  echo "running /bin/sh configure " '--enable-pk11install' $ac_configure_extra_args " --no-create --no-recursion" >&6
+  exec /bin/sh configure '--enable-pk11install' $ac_configure_extra_args --no-create --no-recursion
 fi
 
 #
@@ -558,18 +558,20 @@
 s, at FFLAGS@,,;t t
 s, at ac_ct_F77@,,;t t
 s, at LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
+s, at LIBCKYAPPLET@,${top_builddir}/src/libckyapplet/libckyapplet.la,;t t
 s, at PKG_CONFIG@,/usr/bin/pkg-config,;t t
 s, at ac_pt_PKG_CONFIG@,/usr/bin/pkg-config,;t t
-s, at NSS_CFLAGS@,-I/usr/include/nss3 -I/usr/include/nspr4  ,;t t
-s, at NSS_LIBS@,-lssl3 -lsmime3 -lnss3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl  ,;t t
-s, at LIBCKYAPPLET@,${top_builddir}/src/libckyapplet/libckyapplet.la,;t t
 s, at PCSC_CFLAGS@,-pthread -I/usr/include/PCSC  ,;t t
 s, at PCSC_LIBS@,-lpcsclite  ,;t t
+s, at NSS_CFLAGS@,-I/usr/include/nss3 -I/usr/include/nspr4  ,;t t
+s, at NSS_LIBS@,-lssl3 -lsmime3 -lnss3 -lplds4 -lplc4 -lnspr4 -lpthread -ldl  ,;t t
 s, at ZLIB_CFLAGS@,,;t t
 s, at ZLIB_LIBS@,,;t t
 s, at SCARD_LIB_NAME@,libpcsclite.so.1,;t t
 s, at HAVE_PCSC_TRUE@,,;t t
 s, at HAVE_PCSC_FALSE@,#,;t t
+s, at BUILD_PK11INSTALL_TRUE@,,;t t
+s, at BUILD_PK11INSTALL_FALSE@,#,;t t
 s, at LIBOBJS@,,;t t
 s, at LTLIBOBJS@,,;t t
 CEOF




More information about the Fedora-directory-commits mailing list